<div fxLayout="column" *ngIf="menu && menu.length > 0 ; else showLoading;">
  <div fxLayout="column" *ngFor="let data of menu">
    <div fxLayout="row" fxLayoutAlign="space-between center" style=" border-bottom: 1px solid rgba(0,0,0,0.1);">
      <div fxLayout="row" style="padding: 20px 20px 20px 10px  ">
        <img src="assets/icons/u.svg" width="35px" (click)="updateSectionStatus(data)"
          style="border-radius: 50%; cursor: pointer;margin-right: 10px" height="35px" />
        <span style="margin-top: 3px"><b>{{data.section.name}}</b></span>
        <!--<span style="color:green; font-weight: bold; cursor:pointer" (click)="openEditModal(data)">Modifier</span>-->
      </div>

    </div>
    <div fxLayout="row" fxLayoutAlign="space-between center"
      style="border-bottom: 1px solid rgba(0,0,0,0.1); padding: 15px 20px 15px 10px "
      *ngFor="let item of data.items | mapToIterable">
      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
        <img [src]="item.val.item.available ? 'assets/images/greenEye.png':'assets/images/redEye.png'" width="32px"
          (click)="updateItemStatus(item.val.item)" style="border-radius: 50%; cursor: pointer" height="32px" />

        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
          <img *ngIf="item.val.item.thumb.url" [width]="item.val.item.thumb.width" [height]="item.val.item.thumb.height"
            class="itemThumb" [src]="item.val.item.thumb.url" style="width:60px;height:60px;border-radius:15px" />
          <span> {{item.val.item.name}} </span>
        </div>
      </div>
      <span style="white-space: nowrap"> <b>{{item.val.item.price}} DA</b></span>
    </div>
  </div>
</div>

<ng-template #showLoading>
  <app-loading-spinner></app-loading-spinner>
</ng-template>